# Uses of Class
org.apache.lucene.index.SortedNumericDocValues

Packages that use SortedNumericDocValues
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

## Uses of SortedNumericDocValues in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return SortedNumericDocValues
Modifier and Type
Method
Description
`abstract SortedNumericDocValues`
DocValuesProducer.`getSortedNumeric(FieldInfo field)`
Returns `SortedNumericDocValues` for this field.

## Uses of SortedNumericDocValues in org.apache.lucene.index

Subclasses of SortedNumericDocValues in org.apache.lucene.index
Modifier and Type
Class
Description
`class`
`FilterSortedNumericDocValues`
Delegates all methods to a wrapped `SortedNumericDocValues`.
Fields in org.apache.lucene.index declared as SortedNumericDocValues
Modifier and Type
Field
Description
`protected final SortedNumericDocValues`
FilterSortedNumericDocValues.`in`
Wrapped values
Methods in org.apache.lucene.index that return SortedNumericDocValues
Modifier and Type
Method
Description
`static final SortedNumericDocValues`
DocValues.`emptySortedNumeric()`
An empty SortedNumericDocValues which returns zero values for every document
`static SortedNumericDocValues`
DocValues.`getSortedNumeric(LeafReader reader, String field)`
Returns SortedNumericDocValues for the field, or `DocValues.emptySortedNumeric()` if it has none.
`SortedNumericDocValues`
EmptyDocValuesProducer.`getSortedNumeric(FieldInfo field)`
`final SortedNumericDocValues`
CodecReader.`getSortedNumericDocValues(String field)`
`SortedNumericDocValues`
ExitableDirectoryReader.ExitableFilterAtomicReader.`getSortedNumericDocValues(String field)`
`SortedNumericDocValues`
FilterLeafReader.`getSortedNumericDocValues(String field)`
`abstract SortedNumericDocValues`
LeafReader.`getSortedNumericDocValues(String field)`
Returns `SortedNumericDocValues` for this field, or null if no `SortedNumericDocValues` were indexed for this field.
`SortedNumericDocValues`
ParallelLeafReader.`getSortedNumericDocValues(String field)`
`static SortedNumericDocValues`
MultiDocValues.`getSortedNumericValues(IndexReader r, String field)`
Returns a SortedNumericDocValues for a reader's docvalues (potentially merging on-the-fly)
`static SortedNumericDocValues`
DocValues.`singleton(NumericDocValues dv)`
Returns a multi-valued view over the provided NumericDocValues
Methods in org.apache.lucene.index with parameters of type SortedNumericDocValues
Modifier and Type
Method
Description
`static NumericDocValues`
DocValues.`unwrapSingleton(SortedNumericDocValues dv)`
Returns a single-valued view of the SortedNumericDocValues, if it was previously wrapped with `DocValues.singleton(NumericDocValues)`, or null.
Constructors in org.apache.lucene.index with parameters of type SortedNumericDocValues
Modifier
Constructor
Description
``
`FilterSortedNumericDocValues(SortedNumericDocValues in)`
Sole constructor

## Uses of SortedNumericDocValues in org.apache.lucene.search

Methods in org.apache.lucene.search with parameters of type SortedNumericDocValues
Modifier and Type
Method
Description
`static NumericDocValues`
SortedNumericSelector.`wrap(SortedNumericDocValues sortedNumeric, SortedNumericSelector.Type selector, SortField.Type numericType)`
Wraps a multi-valued SortedNumericDocValues as a single-valued view, using the specified selector and numericType.